!!! warning "Document Under Construction"
    This document is very unfinished and should **NOT** be followed by anyone for deployment at this time.

**Purpose**: Deploying OpenStack via Ansible.

## Configure Hard-Coded DNS for Cluster Nodes
We want to ensure everything works even if the nodes have no internet access.  By hardcoding the FQDNs, this protects us against several possible stupid situations.

Run the following script to add the DNS entries.
```sh
# Make yourself root
sudo su
```

```sh
# Add the OpenStack node entries to /etc/hosts
echo "192.168.3.43 OPENSTACK-NODE-01.bunny-lab.io OPENSTACK-NODE-01" >> /etc/hosts
echo "192.168.3.44 OPENSTACK-NODE-02.bunny-lab.io OPENSTACK-NODE-02" >> /etc/hosts
echo "192.168.3.45 OPENSTACK-NODE-03.bunny-lab.io OPENSTACK-NODE-03" >> /etc/hosts
```

### Validate DNS Entries Added
```sh
cat /etc/hosts
```

!!! example "/etc/hosts Example Contents"
    When you run `cat /etc/hosts`, you should see output similar to the following:
    ```ini title="cat /etc/hosts"
    127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
    ::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
    192.168.3.43 OPENSTACK-NODE-01.bunny-lab.io OPENSTACK-NODE-01
    192.168.3.44 OPENSTACK-NODE-02.bunny-lab.io OPENSTACK-NODE-02
    192.168.3.45 OPENSTACK-NODE-03.bunny-lab.io OPENSTACK-NODE-03
    ```